﻿/// <typ>StorageEngine</typ>
/// <file>StorageEngine.cs</file>
/// <create>22.01.2011 16:35:15</crate>
/// <author>Wolfgang Stelzhammer</author>
///
/// <summary>
///
/// </summary>
/// <copyright>Copyright © 2008-2011 Wolfgang Stelzhammer, All rights reserved!</copyright>

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StorageHelper.StorageEngines;
using StorageHelper.StorageLib;

//using StorageHelper.StorageLib.Depricated;

namespace StorageHelper.StorageAttributes
{
		[AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
		public class StorageEngineAttribute : Attribute
		{
				public StorageEngine Value
				{
						get;
						protected set;
				}

				public StorageEngineAttribute(StorageEnginesEnum _StorageEngineEnum)
				{
						Value = (StorageEngine)Activator.CreateInstance(Type.GetType("StorageHelper.StorageEngines." + _StorageEngineEnum.ToString()));
				}
		}
}