﻿/// <typ>StorageHelper</typ>
/// <file>StorageHelper.cs</file>
/// <create>22.01.2011 15:45:01</crate>
/// <author>Wolfgang Stelzhammer</author>
///
/// <summary>
///
/// </summary>
/// <copyright>Copyright © 2008-2011 Wolfgang Stelzhammer, All rights reserved!</copyright>
#if DEPRICATED
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows;
using StorageHelper.StorageAttributes;
using StorageHelper.StorageLib;
using StorageHelper.StorageLib.Depricated;

namespace StorageHelper.StorageBase
{
		[Serializable]
		public partial class StorageHelperType_DEPRICATED : DependencyObject, IStorageHelper_DEPRICATED
		{
				private string DefaultSectionName;

				private string DigitFormat
				{
						get
						{
								string ret = string.Empty;
								for (int i = 0; i < IdDigits; i++)
								{
										ret += "0";
								}
								return ret;
						}
				}

				private StorageEngine_DEPRICATED Engine;

				private int _id = 0;

				[Key]
				[Display(Name = "Key ID")]
				[CategoryAttribute("Basics")]
				[Description("Die Id des Objektes")]
				public int Id
				{
						get
						{
								if (New)
										return 0;
								if (_id == 0)
								{
										_id = Engine.getNextAutoIncrement();
								}
								return _id;
						}
						set
						{
								_id = value;
								New = false;
								DoPropertyChanged("Id");
						}
				}

				private int IdDigits = 3;
				private bool Inited = false;
				private bool New = true;
				private Dictionary<string, StorageSection> PropertiesSectionNames = new Dictionary<string, StorageSection>();
				private List<string> SectionNames = new List<string>();
				private string StorageConnectionString;

				[NonSerialized]
				public string UniqID;

				private PropertyInfo UniquProperty
				{
						get;
						set;
				}
		}
}
#endif