﻿/// <typ>StorageHelper</typ>
/// <file>StorageHelper.InitToConversion.cs</file>
/// <create>22.01.2011 16:29:32</crate>
/// <author>Wolfgang Stelzhammer</author>
///
/// <summary>
///
/// </summary>
/// <copyright>Copyright © 2008-2011 Wolfgang Stelzhammer, All rights reserved!</copyright>
#if DEPRICATED
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StorageHelper.StorageLib;
using StorageHelper.StorageLib.Depricated;

namespace StorageHelper.StorageBase
{
		public partial class StorageHelperType_DEPRICATED
		{
				private void Init(string _storageConnectionString, StorageEngine_DEPRICATED _engine, string _defaultSectionName, string _UniqID)
				{
						StorageConnectionString = _storageConnectionString;
						Engine = _engine;
						DefaultSectionName = _defaultSectionName;
						UniqID = _UniqID;
						Init();
				}

				public void Init()
				{
						if (!Inited)
						{
								Type t = this.GetType();
								IdDigits = getIdDigitsAttribute(t);
								Engine.IdDigits = this.IdDigits;

								if (StorageConnectionString == null)
										StorageConnectionString = getConnectionStringAttribute(t);
								if (Engine == null)
										Engine = getStorageEngineAttribute(t);
								Engine.ConnectionString = StorageConnectionString;
								if (DefaultSectionName == null)
										DefaultSectionName = getDefaultSectionName(t);
								Engine.DefaultSectionName = DefaultSectionName;
								if (UniqID == null)
										UniqID = getUniqIDAttribute(t);
								Engine.UniqID = UniqID;
								getSectionNameAttribute(t);
								getNoStorageAttribute(t);

								//Engine.PropertiesSectionNames = PropertiesSectionNames;
								Engine.HostObject = this;

								Engine.SectionNames = SectionNames;

								Engine.Init();

								Inited = true;
						}
				}
		}
}
#endif