﻿/// <typ>StorageEngine</typ>
/// <file>StorageEngine.cs</file>
/// <create>22.01.2011 16:43:31</crate>
/// <author>Wolfgang Stelzhammer</author>
///
/// <summary>
///
/// </summary>
/// <copyright>Copyright © 2008-2011 Wolfgang Stelzhammer, All rights reserved!</copyright>
#if DEPRICATED

using System;
using System.Collections.Generic;
using System.Diagnostics.Contracts;
using System.Linq;
using System.Text;
using StorageHelper.StorageBase;

namespace StorageHelper.StorageLib.Depricated
{
		[Pure]
		public abstract class StorageEngine_DEPRICATED
		{
				public InternalStorageEngines Type
				{
						get;
						set;
				}

				public string ConnectionString
				{
						get;
						set;
				}

				public List<string> SectionNames
				{
						get;
						set;
				}

				public string DefaultSectionName
				{
						get;
						set;
				}

				//public Dictionary<string, StorageSection> PropertiesSectionNames
				//{
				//  get;
				//  set;
				//}

				public StorageHelperType_DEPRICATED HostObject
				{
						get;
						set;
				}

				public object CustomConfigParam
				{
						get;
						set;
				}

				public string UniqID
				{
						get;
						set;
				}

				public Type HostType
				{
						get
						{
								return HostObject.GetType();
						}
				}

				public int IdDigits;

				public StorageHelperType_DEPRICATED getNewHostObject()
				{
						return (StorageHelperType_DEPRICATED)Activator.CreateInstance(HostType);
				}

				public abstract int getNextAutoIncrement();

				public abstract void Init();

				public abstract void Save();

				public abstract void Delete();

				public abstract void Clear();

				public StorageEngine_DEPRICATED(StorageHelperType_DEPRICATED _hostObject)
				{
						HostObject = _hostObject;
				}

				public StorageEngine_DEPRICATED()
				{
				}

				public abstract Object GetObject(string _uniqID);

				public abstract List<object> GetAllObjects();

				//public abstract Dictionary<string, StorageSection> GetObject();
				//public abstract List<StorageSection> GetAllObjects();

				public StorageEngine_DEPRICATED returnStorageEngine()
				{
						return (StorageEngine_DEPRICATED)this;
				}
		}
}
#endif