﻿/// <typ>StaticHelpers</typ>
/// <file>StaticHelpers.cs</file>
/// <create>14.09.2011 23:33:56</crate>
/// <author>Wolfgang Stelzhammer</author>
///
/// <summary>
///
/// </summary>
/// <copyright>Copyright © 2008-2011 Wolfgang Stelzhammer, All rights reserved!</copyright>
using System;
using System.Collections.Generic;

using System.Linq;
using System.Reflection;
using System.Text;

namespace StorageHelper.StorageLib
{
		public enum detectBöseMode
		{
				throwException = 0,
				replace = 1,
		}

		public class Böse : List<string>
		{
				public Böse()
				{
						if (this.Count <= 0)
						{
								this.Add("\\");
								this.Add("/");
								this.Add(":");
								this.Add("*");
								this.Add("?");
								this.Add("\"");
								this.Add("<");
								this.Add(">");
								this.Add("|");
						}
				}
		}

		public static class StaticHelpers
		{
				#region GetAllClasses

				/// <summary>
				/// Method to populate a list with all the class
				/// in the namespace provided by the user
				/// </summary>
				/// <param name="nameSpace">The namespace the user wants searched</param>
				/// <returns></returns>
				//private static List<string> GetAllClasses(string nameSpace)
				//{
				//  //create an Assembly and use its GetExecutingAssembly Method
				//  //http://msdn2.microsoft.com/en-us/library/system.reflection.assembly.getexecutingassembly.aspx
				//  Assembly asm = Assembly.GetExecutingAssembly();
				//  //create a list for the namespaces
				//  List<string> namespaceList = new List<string>();
				//  //create a list that will hold all the classes
				//  //the suplied namespace is executing
				//  List<string> returnList = new List<string>();
				//  //loop through all the "Types" in the Assembly using
				//  //the GetType method:
				//  //http://msdn2.microsoft.com/en-us/library/system.reflection.assembly.gettypes.aspx
				//  foreach (Type type in asm.GetTypes())
				//  {
				//    if (type.Namespace == nameSpace)
				//      namespaceList.Add(type.Name);
				//  }
				//  //now loop through all the classes returned above and add
				//  //them to our classesName list
				//  foreach (String className in namespaceList)
				//    returnList.Add(className);
				//  //return the list

				//  Assembly asm1 = Assembly.ReflectionOnlyLoad(@"G:\VisualStudioProjekte\KassePlus\StorageHelper\storagehelper\bin\Debug\StorageHelper.dll");

				//  return returnList;
				//}

				#endregion GetAllClasses

				#region dedectBöseUniqId

				private static Böse böse = new Böse();

				public static string detectBöseUniqId(string Value, string ersetzung = "=", detectBöseMode Mode = detectBöseMode.throwException)
				{
						foreach (string item in böse)
						{
								switch (Mode)
								{
										case detectBöseMode.throwException:
												if (Value.Contains(item))
												{
														throw new ArgumentException("Ein UniqID-Attribut darf kein \\ / : * ? \" < > oder | enthalten!!");
												}
												break;
										case detectBöseMode.replace:
												return Value.Replace(item, ersetzung);
								}
						}
						return Value;
				}

				#endregion dedectBöseUniqId
		}
}