﻿/// <typ>StorageHelperType</typ>
/// <file>StorageHelperType.Methods.cs</file>
/// <create>19.06.2011 23:24:11</crate>
/// <author>Wolfgang Stelzhammer</author>
///
/// <summary>
///
/// </summary>
/// <copyright>Copyright © 2008-2011 Wolfgang Stelzhammer, All rights reserved!</copyright>
#if DEPRICATED
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using StorageHelper.StorageLib;
using StorageHelper.StorageLib.Depricated;

namespace StorageHelper.StorageBase
{
		public partial class StorageHelperType_DEPRICATED
		{
				public void Clear()
				{
						Init();
						foreach (KeyValuePair<string, StorageSection> sec in PropertiesSectionNames)
						{
								foreach (StorageSectionProperty prop in sec.Value.Properties)
								{
										prop.Value = null;
								}
						}
						//Engine.PropertiesSectionNames = PropertiesSectionNames;
						Engine.Clear();
						UpdateObject();
				}

				public void Delete()
				{
						Init();
						Engine.Delete();
				}

				public int getNextAutoIncrement()
				{
						return Engine.getNextAutoIncrement();
				}

				/// <summary>
				/// reads all existing Objects
				/// </summary>
				/// <returns>List of all Objects</returns>
				public List<object> returnAllObjects()
				{
						Init();

						//List<StorageSection> objects = Engine.GetAllObjects();
						//foreach (StorageSection sec in objects)
						//{
						//  Type t = this.GetType();

						//  object h = Activator.CreateInstance(t);

						//  foreach (StorageSectionProperty prop in sec.Properties)
						//  {
						//    PropertyInfo pInfo = t.GetProperty(prop.Name);
						//    pInfo.SetValue(h, prop.Digits, null);
						//  }

						//  MethodInfo mInfo = t.GetMethod("InitToConversion");
						//  mInfo.Invoke(h, null);

						//  ret.Add(h);
						//}

						return Engine.GetAllObjects();
				}

				public void returnObject()
				{
						Init();
						UniqID = getUniqIDAttribute(this.GetType());
						Engine.UniqID = UniqID;

						//PropertiesSectionNames = Engine.GetObject();

						UpdateObject();
				}

				public Object returnObject(string _UniqID)
				{
						return Engine.GetObject(_UniqID);
				}

				public void Save()
				{
						New = false;
						Init();
						Engine.HostObject = this;

						UniqID = getUniqIDAttribute(this.GetType());

						Engine.UniqID = UniqID;

						UpdatePropertyValues();
						//Engine.PropertiesSectionNames = PropertiesSectionNames;

						Engine.Save();
				}

				/// <summary>
				/// Updates the Object from the propertyValues
				/// </summary>
				private void UpdateObject()
				{
						//foreach (KeyValuePair<string, StorageSection> sec in PropertiesSectionNames)
						//{
						//  foreach (StorageSectionProperty prop in sec.Value.Properties)
						//  {
						//    Type t = this.GetType();
						//    PropertyInfo pInfo = t.GetProperty(prop.Name);

						//    pInfo.SetValue(this, prop.Value, null);
						//  }
						//}
				}

				/// <summary>
				/// Updates the propertyValues from an ountside changed object!!!!
				/// </summary>
				private void UpdatePropertyValues()
				{
						foreach (KeyValuePair<string, StorageSection> section in PropertiesSectionNames)
						{
								foreach (StorageSectionProperty prop in section.Value.Properties)
								{
										prop.Value = this.GetType().GetProperty(prop.Name).GetValue(this, null);
								}
						}
				}

#region __CodeSorter_unsorted

				///// <summary>
				///// checks if an Object with a given UniqID exists
				///// </summary>
				///// <param name="_uniqID">The sting of the Uniique Identifiers</param>
				///// <param name="_this">Object of the wanted Instance</param>
				///// <returns>true if the Object exits and false if ther is no such Object</returns>
				//public static bool ObjectExists(Type _this, string _uniqID)
				//{
				//  Type t = _this.GetType();

				//  //BUG: Macht irgendwie einen Fehler über einen nicht vorhanden Parameterlosen Konstuktor!!!
				//  object h = Activator.CreateInstance(t);

				//  // Set the proper UniqueID
				//  PropertyInfo UniqueP = (PropertyInfo)t.GetProperty("UniquProperty").GetValue(h, null);
				//  UniqueP.SetValue(h, _uniqID, null);

				//  // Invoking of the Object
				//  MethodInfo mInfo = t.GetMethod("returnObject");
				//  List<object> args = new List<object>();
				//  mInfo.Invoke(h, args.ToArray());

				//  return false;
				//}

				#endregion __CodeSorter_unsorted
		}
}
#endif